mfscsstatsdump(8)

NAME
mfscsstatsdump - dump usage data from chunkserver stats file in csv or png format

SYNOPSIS
mfscsstatsdump -f fields [-i stats_file] [-r range][-s separator] [-p png_filename [-x chart_width] [-y chart_height]] [-hHd]

DESCRIPTION
mfscsstatsdump dumps usage data from chunkserver stats file. These are the same data sets that are used to make GUI charts. Output can be either in text format (csv) or in graphical format (png). That means -p, -x and -y options are mutually exclusive with -h, -H and -d options.

MooseFS chunkserver saves the stats file in the DATA_PATH directory - see mfschunkserver.cfg(5)

  OUTPUT
Text output - text (csv) file where first column is a timestamp (or date if -d option was specified), the following column are what was specified with the -f options, formatted according to used options (none, -s and -h or -H)

Graphical output - one png file with a chart is created for every field specified with the -f option, according to the naming scheme declared with the -p option. Size may be adjusted with -x and -y options.

OPTIONS

-f  field names separated by ',' (see FIELDS section); at least one field is mandatory; if an asterisk (*) is used, all fields are dumped

-i  name of mfs binary stats file (default: default_data_path/csstats.mfs)

-r  range type: 0 - short range (minute) 1 - medium range (6 minutes) 2 - long range (30 minutes) 3 - very long range (day)

-s  specify column separator (default: tabulator)

-p  optional PNG filename (field name will be added before .png; YYYY -> YYYY_FIELD.png, YYYY.png -> YYYY_FIELD.png)

-x  PNG chart width (default: 1600)

-y  PNG chart height (should be divisible by 20 - if not then it will be adjusted; default:320)

-h  "human-readable" numbers using base 2 prefixes (IEC 60027)

-H  "human-readable" numbers using base 10 prefixes (SI)

-d  show timestamps in YYYY-MM-DD HH:MM format

  FIELDS

ucpu
    User cpu usage

scpu
    System cpu usage

cpu Total cpu usage (in csv sum of scpu and ucpu, in png shows both in different colors)

masterin
    Data received from master

masterout
    Data sent to master

csrepin
    Data received by replicator

csrepout
    Data sent by replicator

csservin
    Data received by csserv

csservout
    Data sent by csserv

bwin
    Data bandwidth in (in csv sum of csrepin and csservin, in png shows both in different colors)

bwout
    Data bandwidth out (in csv sum of csrepout and csservout, in png shows both in different colors)

hdrbytesr
    Bytes read (headers)

hdrbytesw
    Bytes written (headers)

hdrllopr
    Low level reads (headers)

hdrllopw
    Low level writes (headers)

databytesr
    Bytes read (data)

databytesw
    Bytes written (data)

datallopr
    Low level reads (data)

datallopw
    Low level writes (data)

hddread
    HDD read (in csv sum of hdrbytesr and databytesr, in png shows both in different colors)

hddwrite
    HDD write (in csv sum of hdrbytesw and databytesw, in png shows both in different colors)

hddopsr
    HDD low level read (in csv sum of hdrllopr and datallopr, in png shows both in different colors)

hddopsw
    HDD low level write (in csv sum of hdrllopw and datallopw, in png shows both in different colors)

hlopr
    High level reads

hlopw
    High level writes

rtime
    Read time

wtime
    Write time

repl
    Replicate chunk ops

create
    Create chunk ops

delete
    Delete chunk ops

version
    Set version ops

duplicate
    Duplicate ops

truncate
    Truncate ops

duptrunc
    Duptrunc (duplicate+truncate) ops

test
    Test chunk ops

load
    Server load

memoryrss
    Resident memory usage

memoryvirt
    Virtual memory usage

mem Total memory usage (in csv is the same as memoryvirt, in png shows both memoryrss and memoryvirt using two colors)

movels
    Low speed move ops

movehs
    High speed move ops

move
    Low speed + high speed move ops (in png shows movels and movehas using two colors)

change
    Chunk changes in metadata (sum of version + duplicate + truncate + duptrunc + split)

split
    Split ops

usedspace
    Used HDD space in bytes (mark for removal excluded)

totalspace
    Total HDD space in bytes (mark for removal excluded)

space
    Total HDD space (in csv same as totalspace, in png shows both usedspace and totalspace using two colors)

chunkcount
    Number of stored chunks (mark for removal excluded)

tdusedspace
    Used HDD space in bytes on disks marked for removal

tdtotalspace
    Total HDD space in bytes on disks marked for removal

tdchunkcount
    Number of chunks stored on disks marked for removal

copychunks
    Number of chunks stored in copy format (all disks)

ec4chunks
    Number of chunk parts stored in EC4 format (all disks)

ec8chunks
    Number of chunk parts stored in EC8 format (all disks)

chunks
    Sum of copychunks + ec4chunks + ec8chunks (in png shows all three in different colors)

hddok
    Number of valid folders (hard drives)

hddmfr
    Number of folders (hard drives) that are marked for removal

hdddmg
    Number of folders (hard drives) that are marked as damaged

hddcnt
    Number of folders (hard drives) regardless of status, aka sum of hddok + hddmfr + hdddmg (in png shows all three in different colors)

udiff
    Difference in usage percent between the most and least used disk

REPORTING BUGS
Report bugs to <bugs@moosefs.com>.

COPYRIGHT
Copyright (C) 2025 Jakub Kruszona-Zawadzki, Saglabs SA

This file is part of MooseFS.

MooseFS is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, version 2 (only).

MooseFS is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with MooseFS; if not, write to the Free Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02111-1301, USA or visit http://www.gnu.org/licenses/gpl-2.0.html

SEE ALSO
mfschunkserver(8), mfsstatsdump(8)